
if GLOBAL.IsDLCEnabled(GLOBAL.CAPY_DLC) then
    PrefabFiles = {
        "DLC0002/busteraxe_lucy",
        "busteraxe",
    }
elseif GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
    PrefabFiles = {
        "vanilla/busteraxe_lucy",
        "busteraxe",
    }
else
    PrefabFiles = {
        "vanilla/busteraxe_lucy",
        "busteraxe",
    }
end



-- modify ponds
local function modifyPond(inst)
    local lib = TUNING.BUSTERAXE_POND_MOD
    if not inst.components.trader then
        inst:AddComponent("trader")
    end
    inst.components.trader:SetAcceptTest(function(inst, item) return item and item.prefab == "axe" or item and item.prefab == "goldenaxe" or item and item.prefab == "lucy" end)
    inst.components.trader.onaccept = lib.onAccept
    inst.components.trader.onrefuse = function(inst,giver,item) if giver.components.talker then giver.components.talker:Say("Do I throw something in a pond? ") end end
end
if GLOBAL.IsDLCEnabled(GLOBAL.CAPY_DLC) then
    AddPrefabPostInit("pond", modifyPond)
    AddPrefabPostInit("tidalpool", modifyPond)
elseif GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
    AddPrefabPostInit("pond", modifyPond)
else
    AddPrefabPostInit("pond", modifyPond)
end



-- modify axes
local function modifyAxe(inst)
    if not inst.components.tradable then
        inst:AddComponent("tradable")
    end
end
AddPrefabPostInit("axe", modifyAxe)
AddPrefabPostInit("goldenaxe", modifyAxe)
